curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/usage/current' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"period_start": "2026-08-31T14:22:05Z",
"period_end": "2026-08-31T14:22:05Z",
"cpu_hours": 1.5,
"memory_gb_hours": 1.5,
"network_gb": 1.5,
"sandbox_creations": 1,
"estimated_cost_cents": 4900,
"breakdown": {
"cpu_cost_cents": 4900,
"memory_cost_cents": 4900,
"network_cost_cents": 4900,
"creations_cost_cents": 4900
}
}
Get current billing period usage
Current usage data
GET
/
api
/
v1
/
usage
/
current
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/usage/current' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"period_start": "2026-08-31T14:22:05Z",
"period_end": "2026-08-31T14:22:05Z",
"cpu_hours": 1.5,
"memory_gb_hours": 1.5,
"network_gb": 1.5,
"sandbox_creations": 1,
"estimated_cost_cents": 4900,
"breakdown": {
"cpu_cost_cents": 4900,
"memory_cost_cents": 4900,
"network_cost_cents": 4900,
"creations_cost_cents": 4900
}
}
Response
object
string (date-time)
required
string (date-time)
required
number
required
number
required
number
required
integer
required
number
required
Status codes
| Code | Meaning |
|---|---|
200 | Current usage data |
curl --request GET \
--url 'https://api.sandbox.stateset.app/api/v1/usage/current' \
--header "Authorization: Bearer $STATESET_SANDBOX_API_KEY"
{
"period_start": "2026-08-31T14:22:05Z",
"period_end": "2026-08-31T14:22:05Z",
"cpu_hours": 1.5,
"memory_gb_hours": 1.5,
"network_gb": 1.5,
"sandbox_creations": 1,
"estimated_cost_cents": 4900,
"breakdown": {
"cpu_cost_cents": 4900,
"memory_cost_cents": 4900,
"network_cost_cents": 4900,
"creations_cost_cents": 4900
}
}
Last modified on August 31, 2026